Update Egress Exit
Change an exit; only the fields sent change.
Changing where it leads or its credentials restarts the running instances bound to it.
PATCH
/
v1
/
workspaces
/
{workspace}
/
egress-exits
/
{exit_id}
Update Egress Exit
curl --request PATCH \
--url https://api.example.com/v1/workspaces/{workspace}/egress-exits/{exit_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allow_plaintext_credentials": true,
"description": "<string>",
"name": "<string>",
"password_secret_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"upstream_url": "<string>",
"username": "<string>"
}
'import requests
url = "https://api.example.com/v1/workspaces/{workspace}/egress-exits/{exit_id}"
payload = {
"allow_plaintext_credentials": True,
"description": "<string>",
"name": "<string>",
"password_secret_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"upstream_url": "<string>",
"username": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allow_plaintext_credentials: true,
description: '<string>',
name: '<string>',
password_secret_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
upstream_url: '<string>',
username: '<string>'
})
};
fetch('https://api.example.com/v1/workspaces/{workspace}/egress-exits/{exit_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/workspaces/{workspace}/egress-exits/{exit_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'allow_plaintext_credentials' => true,
'description' => '<string>',
'name' => '<string>',
'password_secret_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'upstream_url' => '<string>',
'username' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/workspaces/{workspace}/egress-exits/{exit_id}"
payload := strings.NewReader("{\n \"allow_plaintext_credentials\": true,\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"password_secret_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"upstream_url\": \"<string>\",\n \"username\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/v1/workspaces/{workspace}/egress-exits/{exit_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"allow_plaintext_credentials\": true,\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"password_secret_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"upstream_url\": \"<string>\",\n \"username\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/workspaces/{workspace}/egress-exits/{exit_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"allow_plaintext_credentials\": true,\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"password_secret_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"upstream_url\": \"<string>\",\n \"username\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"allow_plaintext_credentials": true,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"managed_by": "<string>",
"name": "<string>",
"password_secret_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"upstream_url": "<string>",
"username": "<string>",
"via": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Slug of the workspace the request acts in
Maximum string length:
120Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Body
application/json
Patch an exit: only the fields sent change; null clears an optional one.
Response
Successful Response
"platform" for an exit the deployment supplies; null for the workspace's own.
The platform hop this exit leaves through, if any.
⌘I
Update Egress Exit
curl --request PATCH \
--url https://api.example.com/v1/workspaces/{workspace}/egress-exits/{exit_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allow_plaintext_credentials": true,
"description": "<string>",
"name": "<string>",
"password_secret_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"upstream_url": "<string>",
"username": "<string>"
}
'import requests
url = "https://api.example.com/v1/workspaces/{workspace}/egress-exits/{exit_id}"
payload = {
"allow_plaintext_credentials": True,
"description": "<string>",
"name": "<string>",
"password_secret_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"upstream_url": "<string>",
"username": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allow_plaintext_credentials: true,
description: '<string>',
name: '<string>',
password_secret_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
upstream_url: '<string>',
username: '<string>'
})
};
fetch('https://api.example.com/v1/workspaces/{workspace}/egress-exits/{exit_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/workspaces/{workspace}/egress-exits/{exit_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'allow_plaintext_credentials' => true,
'description' => '<string>',
'name' => '<string>',
'password_secret_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'upstream_url' => '<string>',
'username' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/workspaces/{workspace}/egress-exits/{exit_id}"
payload := strings.NewReader("{\n \"allow_plaintext_credentials\": true,\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"password_secret_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"upstream_url\": \"<string>\",\n \"username\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/v1/workspaces/{workspace}/egress-exits/{exit_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"allow_plaintext_credentials\": true,\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"password_secret_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"upstream_url\": \"<string>\",\n \"username\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/workspaces/{workspace}/egress-exits/{exit_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"allow_plaintext_credentials\": true,\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"password_secret_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"upstream_url\": \"<string>\",\n \"username\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"allow_plaintext_credentials": true,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"managed_by": "<string>",
"name": "<string>",
"password_secret_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"upstream_url": "<string>",
"username": "<string>",
"via": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}